function [ydot, yinit, option] = photomodel(t, y,flag)

global Istim
global tau1

switch flag
    case ''
        Rh  =y(1);
        Rhi =y(2);
        Tr  =y(3);
        PDE =y(4);
        c   =y(5);
        cb  =y(6);
        cGMP=y(7);
        %input current (uA/cm^2)
        Jhv = interp1(Istim(:,1),Istim(:,2),t);
        
        Jmax = 5040.0;
        a1 = 50.0; 
        a2 = 0.0003;
        a3 = 0.03;
        e = 0.5;
        TTot = 1000.0;
        b1 = 2.5;
        %t1 = 0.2;
        t2 = 5.0;
        PDETot = 100.0;
        rCa = 50.0;
        c0 = 0.1;
        b = 0.375;
        k1 = 0.2;
        k2 = 0.8;
        eT = 500.0;
        Vbar = 0.4;
        Kc = 0.1;
        Amax = 65.6;
        s = 1.0;
            
         
        J = Jmax*(cGMP^3)/(cGMP^3+1000.0);
        Iphoto = -J;

        
        ydot = [ Jhv(end)-a1*Rh+a2*Rhi;
            a1*Rh-(a2+a3)*Rhi;
            e*Rh*(TTot-Tr)-b1*Tr+t2*PDE-tau1*Tr*(PDETot-PDE);
            tau1*Tr*(PDETot-PDE)-t2*PDE;
            b*J-rCa*(c-c0)-k1*(eT-cb)*c+k2*cb;
            k1*(eT-cb)*c-k2*cb;
            Amax/(1.0+(c/Kc)^4)-cGMP*(Vbar+s*PDE)];
        
    case 'init'
        ydot = Istim(1,1):0.001:Istim(end,1);
        yinit = [ 0.0; 0.0; 0.0; 0.0; 0.30930665; 35.888218; 1.7724237];
        option = odeset('MaxStep',0.01);      
end