%%
clear
close all
clc

global Istim;
global last;
global exp_data;
global count;
global delta_y_i;
global tau1;
global data;

x = 2000;

last=10;
Istim=[0 0;0.99999 0;1.0 x;1.01 x;1.01001 0;10 0];
exp_data = load('exp.dat');
count = 1;
delta_y_i = 0;
tau1 = 0.2;

[t,y] = euler('photomodel');

Rh  =y(:,1);      
Rhi =y(:,2);
Tr  =y(:,3);
PDE =y(:,4);
c   =y(:,5);
cb  =y(:,6);
cGMP=y(:,7);

Jmax = 5040.0;
J = Jmax*(cGMP.^3)./(cGMP.^3+1000.0);
Iphoto = -J;

time = 0:0.01:10;

figure
set(gca,'Fontsize',15)
plot(time,exp_data,'r.','markersize',12)
hold on
plot(t,Iphoto,'linewidth',4)
grid on
xlabel('time [s]','fontsize',15)
ylabel('[pA]','fontsize',15)

a1 = 20;
b1 = ones(1, a1)/a1;
c1 = filter(b1,1,data(:,2));

figure
set(gca,'Fontsize',15)
plot(data(:,1),data(:,2),'linewidth',4)
hold on
plot(data(:,1),c1,'g','linewidth',4)
grid on
xlabel('time [s]', 'fontsize',15)
ylabel('\tau _1','fontsize',15)
ylim([-0.5 1])
hold on
plot(time,ones(length(exp_data),1)*0.3,'r','linewidth',2)
